curl --request PATCH \
--url https://api.uat.frankie.one/v2/individuals/{entityId}/results/matchlist \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"processResults": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
'Update the status of Matchlist process results
Update the status of a set of Matchlist process results.
curl --request PATCH \
--url https://api.uat.frankie.one/v2/individuals/{entityId}/results/matchlist \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"processResults": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
'Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Username provided by API caller
"fred.flintstone@frankieone.com"
Path Parameters
Unique FrankieOne identifier for an entity
Body
The process result IDs to update. These are the PROs created when a match has been found.
Any manual status set after the results have been reviewed.
- FALSE_POSITIVE: The result is determined to be a false positive, but you do not necessarily want to resolve it.
- TRUE_POSITIVE_REJECT: The result is determined to be a true positive and you want to resolve it. "Reject" infers you want to reject the activity.
FALSE_POSITIVE, TRUE_POSITIVE_REJECT Show child attributes
Show child attributes
Was this page helpful?